stages:
  - build
  - test
  - deploy-Test
  - deploy-Stage
  - deploy-Prod

build-job:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"

Test Job1:
  stage: test
  script:
    - echo "This job tests something"

Test Job2:
  stage: test
  allow_failure: true
  script:
    - echo "This job tests something, but takes more time than test-job1."
    - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
    - echo "which simulates a test that runs 20 seconds longer than test-job1"
    - return 503

Deploy To Test:
  stage: deploy-Test
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."

Deploy To Stage:
  stage: deploy-Stage
  when: manual 
  only:
    - master
    - tags
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."

Deploy To Prod:
  stage: deploy-Prod
  when: manual 
  only:
    - tags
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."
